Skip to content

Create a disbursement

Request

Create a disbursement on a loan. centsAmount is in whole cents — 50000000 is $500,000.00.

Security
ApiKeyAuth
Path
idstringrequired
Headers
Idempotency-Keystring, <= 255 characters

Optional opaque key (e.g. a UUID) to make this write safely retryable. A replay with the same key returns the original response instead of repeating the side effect.

Bodyapplication/jsonrequired
categorystringrequired
Enum:"borrower_proceeds""refinance""equipment_purchase""real_estate_purchase""payroll""broker_fee""sba_guarantee_fee""third_party_payment""other"
centsAmountinteger, ( 0 .. 9007199254740991 ]required

Amount in whole cents. 50000000 = $500,000.00

recipientNamestring, non-emptyrequired
recipientTypestringrequired
Enum:"borrower""vendor""broker""lender""other"
paymentMethodstringrequired
Enum:"wire""ach""check""internal_transfer"
glAccountIdstring

Deprecated — accepted for backward compatibility and ignored.

notesstring
curl -i -X POST \
  'https://api.pioneerft.com/api/public/v1/loans/{id}/disbursements' \
  -H 'Authorization: Bearer <YOUR_API Key_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Idempotency-Key: string' \
  -d '{
    "glAccountId": "string",
    "category": "borrower_proceeds",
    "centsAmount": 1,
    "recipientName": "string",
    "recipientType": "borrower",
    "paymentMethod": "wire",
    "notes": "string"
  }'

Responses

Disbursement created

Bodyapplication/json
dataobject(PublicDisbursement)
Response
{ "data": { "id": "string", "loanId": "string", "category": "string", "centsAmount": -9007199254740991, "recipientName": "string", "recipientType": "string", "paymentMethod": "string", "status": "string", "notes": "string", "createdAt": "string" } }